package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag412;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT412AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag32ACreator extends AbsTagCreate {
    private MT412AbsCreator mt412AbsCreator;

    public Tag32ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt412AbsCreator= (MT412AbsCreator) absMTCreator;
    }

    public void creator()
    {
        handlerCurAmtCreator(mt412AbsCreator,"dateCurrencyAmount");
    }
}
